# Uses of Enum Class
javax.lang.model.type.TypeKind

Packages that use TypeKind
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of TypeKind in com.sun.source.tree

Methods in com.sun.source.tree that return TypeKind
Modifier and Type
Method
Description
`TypeKind`
PrimitiveTypeTree.`getPrimitiveTypeKind()`
Returns the kind of this primitive type.

## Uses of TypeKind in javax.lang.model.type

Subclasses with type arguments of type TypeKind in javax.lang.model.type
Modifier and Type
Class
Description
`enum`
`TypeKind`
The kind of a type mirror.
Methods in javax.lang.model.type that return TypeKind
Modifier and Type
Method
Description
`TypeKind`
TypeMirror.`getKind()`
Returns the `kind` of this type.
`static TypeKind`
TypeKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TypeKind[]`
TypeKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of TypeKind in javax.lang.model.util

Methods in javax.lang.model.util with parameters of type TypeKind
Modifier and Type
Method
Description
`NoType`
Types.`getNoType(TypeKind kind)`
Returns a pseudo-type used where no actual type is appropriate.
`PrimitiveType`
Types.`getPrimitiveType(TypeKind kind)`
Returns a primitive type.